CONTOUR_CREATE_RESTR(3)

EXPERIMENTAL_FUNC
contour_create_restr - Create contour image from 2D slice with restrictions.

SYNOPSIS
#include <karma_contour.h>

KContourImage contour_create_restr

(multi_array *multi_desc, array_desc *arr_desc, char *slice, unsigned int hdim, unsigned int vdim, unsigned int elem_index, unsigned int num_restr, char **restr_names, double *restr_values, KContourImageGroup group)

DESCRIPTION
This routine will create a contour image object from a 2-dimensional slice of a Karma data structure. At a later time, this contour image may be used to create a viewable contour image.

multi_desc
    The multi_array descriptor which contains the Karma data structure. The routine increments the attachment count on the descriptor on successful completion. This may be NULL.

arr_desc
    The array descriptor.

slice
    The start of the slice data.

hdim
    The dimension index of the horizontal dimension.

vdim
    The dimension index of the vertical dimension.

elem_index
    The element index in the data packets.

num_restr
    The number of matched restrictions.

restr_names
    The restriction names.

restr_values
    The restriction values.

group
    The KContourImageGroup to add the new object too. If NULL, it is not added to any group.

RETURN VALUE
A KContourImage object on success, NULL.

Multi-threading Level
Unsafe.

NOTE
Restriction information is automatically deallocated when <-contour_destroy-> is called.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/